/// <reference types="node" />
import { Message, Properties } from "protobufjs/light";
import { ForwardLink, SkipBlock } from "./skipblock";
export declare class GetAllSkipChainIDs extends Message<GetAllSkipChainIDs> {
    /**
     * @see README#Message classes
     */
    static register(): void;
}
export declare class GetAllSkipChainIDsReply extends Message<GetAllSkipChainIDsReply> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly skipChainIDs: Buffer[];
    constructor(props?: Properties<GetAllSkipChainIDsReply>);
}
export declare class StoreSkipBlock extends Message<StoreSkipBlock> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly targetSkipChainID: Buffer;
    readonly newBlock: SkipBlock;
    readonly signature: Buffer;
    constructor(properties: Properties<StoreSkipBlock>);
}
export declare class StoreSkipBlockReply extends Message<StoreSkipBlock> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly latest: SkipBlock;
    readonly previous: SkipBlock;
}
export declare class GetSingleBlock extends Message<GetSingleBlock> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly id: Buffer;
    constructor(props?: Properties<GetSingleBlock>);
}
export declare class GetSingleBlockByIndex extends Message<GetSingleBlockByIndex> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly genesis: Buffer;
    readonly index: number;
    constructor(props?: Properties<GetSingleBlockByIndex>);
}
export declare class GetSingleBlockByIndexReply extends Message<GetSingleBlockByIndexReply> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly skipblock: SkipBlock;
    readonly links: ForwardLink[];
    constructor(props?: Properties<GetSingleBlockByIndexReply>);
}
export declare class GetUpdateChain extends Message<GetUpdateChain> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly latestID: Buffer;
    constructor(props?: Properties<GetUpdateChain>);
}
export declare class GetUpdateChainReply extends Message<GetUpdateChainReply> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly update: SkipBlock[];
    constructor(props: Properties<GetUpdateChainReply>);
}
